Skip to main content

Виправлення "Visual Studio 2005 SP1 вимагає оновлення для Windows Vista"

Виправлення "Visual Studio 2005 SP1 вимагає оновлення для Windows Vista"

Geoffrey Carr

Я чув, що Visual Studio 2005 має проблеми сумісності з Windows Vista, тому я не дивувався, коли отримав це повідомлення про помилку при спробі запустити його вперше. Щоб вирішити це повідомлення про помилку, потрібно встановити оновлення SP1, який, на мій погляд, є сервісним пакетом для пакета оновлень.

Оновлення SP1 можна завантажити тут: http://go.microsoft.com/?linkid=6366078

Після встановлення цього оновлення я отримав це повідомлення про помилку: "Дозволи адміністратора рекомендовані для запуску Visual Studio 2005 SP1", і просять використовувати параметр "Запустити як адміністратор" при запуску Visual Studio.

Після виконання деяких досліджень у вас є пара варіантів:

  • Запустіть Visual Studio як адміністратора (найкраще всього лише змінити ярлик, щоб завжди запускатись як адміністратор). Ви все одно вдасться до помилок таким чином.
  • Запустіть Visual Studio як звичайний користувач і відкрийте його лише як адміністратор, якщо ви отримаєте певну помилку, яка вимагає доступу адміністратора.
  • Просто зніміть прапорець.

Порада. Якщо ви намагаєтесь налагоджувати веб-проекти, вам слід переконатися, що ви переходите до розділу «Додати / видалити компоненти Windows на панелі керування» та встановіть сумісність IIS6 з опцією IIS7, інакше вам не буде багато успіху.

В цілому, Visual Studio 2005 просто не дуже сумісна з Vista. Це розчарування, але це життя.

Link
Plus
Send
Send
Pin